### Method

# Rsvg Handle set_base_uri

since: 2.9

#### Declaration [src]

    void
    rsvg_handle_set_base_uri (
      RsvgHandle* handle,
      const char* base_uri
    )

#### Description [src]

Set the base URI for this SVG.

Note: This function may only be called before `rsvg_handle_write()` or `rsvg_handle_read_stream_sync()` have been called.

Available since: 2.9

Sets property | `Rsvg.Handle:base-uri`

#### Parameters

`base_uri`

  Type: `const char*`

  The base uri.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.